
Website Input - Bug #773

CSS selector doesn't match selector

08/07/2014 05:35 PM - Luke Murphey

Status: Closed Start date: 08/07/2014

Priority: Urgent Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9   

Description

History

#1 - 08/07/2014 05:35 PM - Luke Murphey

- Subject changed from CSS selector doesn to CSS selector doesn't match selector

URL: http://apps.splunk.com/app/981/

Selector: #app-rate-text+li

#2 - 08/07/2014 05:47 PM - Luke Murphey

This is the HTML:

<li id="app-rate-text"><i class="icon-star"></i><span class="app-rate-text"></span></li>

<li><i class="icon-download-alt" data-toggle="tooltip" data-placement="top" title="Downloads"></i>3184 downloa

ds</li>

Some observations:

1. ".simple-list" doesn't include the downloads either when used with web_input; $('.simple-list').text() does though

2. "sel = CSSSelector('#app-rate-text + li')" does seem to match the correct node in Python

3. In Python, '.simple-list' matches 5 nodes. In web_input, it matches 4

#3 - 08/07/2014 06:25 PM - Luke Murphey

- Status changed from New to Closed

- Assignee set to Luke Murphey

- Priority changed from Normal to Urgent

- Target version set to 0.9

#4 - 08/11/2014 07:17 PM - Luke Murphey

- File css_test2.py added

- File css_test.py added
Files

css_test2.py 374 Bytes 08/11/2014 Luke Murphey

css_test.py 37.5 KB 08/11/2014 Luke Murphey
